Method: accounts.creatives.dealAssociations.remove
Stay organized with collections
Save and categorize content based on your preferences.
outlined_flag
This API call removes the association between a deal and a creative.
The HTTP request is a POST request to a specific URL containing the account ID and creative ID.
Path parameters required are the account ID and the creative ID.
The request body contains the association object with accountId, creativeId, and dealsId.
A successful response body is empty.
Remove the association between a deal and a creative.
HTTP request
POST https://adexchangebuyer.googleapis.com/v2beta1/accounts/{association.accountId}/creatives/{association.creativeId}/dealAssociations:remove
The URL uses gRPC Transcoding syntax.
Path parameters
Parameters
association.accountId
string
The account the creative belongs to.
association.creativeId
string
The ID of the creative associated with the deal.
Request body
The request body contains data with the following structure:
JSON representation
{
"association" : {
"accountId" : string ,
"creativeId" : string ,
"dealsId" : string
}
}
Fields
association.dealsId
string
The externalDealId for the deal associated with the creative.
Response body
If successful, the response body is empty.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/adexchange.buyer
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2024-09-18 UTC.
[null,null,["Last updated 2024-09-18 UTC."],[],["This document details the process for removing a deal association. The `POST` request is sent to a specific URL including the account and creative IDs. The request body requires a JSON payload with the associated deal's ID. Path parameters, `association.accountId` and `association.creativeId`, specify the account and creative. Upon successful completion of this request, an empty response body is sent. This process needs `https://www.googleapis.com/auth/adexchange.buyer` authorization scope.\n"]]